%{!?perl_vendorlib:  %define perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib`" ; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_version:    %define perl_version    %(eval "`%{__perl} -V:version`"          ; echo $version)}

%define modn   SQL-Statement
%define modv   1.27
%define modp   %(echo %{modn} | cut -d'-' -f1)


Summary:       A SQL parsing and processing engine
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPL+ or Artistic
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/R/RE/REHSACK/%{modn}-%{modv}.tar.gz
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Jens Rehsack <rehsack@cpan.org>
Requires:      perl(:MODULE_COMPAT_%{perl_version})
BuildRequires: perl >= 5.8
BuildRequires: perl(Carp)
BuildRequires: perl(Clone) >= 0.30
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Exporter)
BuildRequires: perl(DBD::CSV)
BuildRequires: perl(DBD::File) >= 0.33
BuildRequires: perl(DBI)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::File)
BuildRequires: perl(Params::Util) >= 0.35
BuildRequires: perl(Scalar::Util) >= 1.0
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod) >= 1.00
BuildRequires: perl(Test::Pod::Coverage) >= 1.00
BuildRequires: perl(Test::Simple)
BuildArch:     noarch


%description
SQL::Statement implements a pure Perl SQL parsing and execution engine.
While it by no means implements full ANSI standard, it does support many
features including column and table aliases, built-in and user-defined
functions, implicit and explicit joins, complex nested search conditions
and other features.


%prep
%setup -q -n %{modn}-%{modv}

# Fix permissions
%{__chmod} -x Changes README Todo


%build
%{__perl} \
	Makefile.PL \
	INSTALLDIRS="vendor"

%{__make} %{?_smp_mflags}


%check
%{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name ".packlist" -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d    -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc Changes README Todo
%{perl_vendorlib}/%{modp}
%{_mandir}/man3/*.3*


%changelog
* Thu Jul 08 2010 Peter Pramberger <peterpramb@member.fsf.org> - 1.27-1
- New version (1.27)

* Thu Mar 19 2009 Peter Pramberger <peterpramb@member.fsf.org> - 1.20-1
- New version (1.20)

* Thu Nov 20 2008 Peter Pramberger <peterpramb@member.fsf.org> - 1.15-1
- Initial build
